/*    $Id: ExpressionEvalException.java,v 1.3 1996/01/25 20:34:31 davidliu Exp $
**
**
**************************************************************************
**    Copyright (C) 1996 David Wanqian Liu
**                       davidliu@mti.sgi.com
**                       http://reality.sgi.com/exmployees/davidliu_mti
**
**    This program is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program; if not, write to the Free Software
**    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**************************************************************************
*/


package expression;



/**
  Expression evaluation exception.
  */
public class ExpressionEvalException extends ExpressionException {
  public final static String EMPTY_NODE = "Evaluating empty node.";
  public final static String EXPECT_UNARYFUNC = "Expecting a unary function.";
  public final static String EXPECT_BINFUNC = "Expecting a binary function.";

  
  /**
    Construct a ExpressionEvalException with no detail message.
    */
  public ExpressionEvalException() {
    super();
  }


  /**
    Construct a ExpressionEvalException with specified detail message.
    */
  public ExpressionEvalException(String s) {
    super(s);
  }
}
