/*    $Id: ctanFunc.java,v 1.2 1996/01/25 20:35:44 davidliu Exp $
**
**
**************************************************************************
**    Copyright (C) 1996 David Wanqian Liu
**                       davidliu@mti.sgi.com
**                       http://reality.sgi.com/exmployees/davidliu_mti
**
**    This program is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program; if not, write to the Free Software
**    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**************************************************************************
*/


package expression;



/**
  Cotangent function
  */
public class ctanFunc extends oneArgFunction {
  /**
    Returns the trigonometric cotangent of an angle. 
    */
  public double apply(double a) {
    return 1.0/Math.tan(a);
  }


  /**
    Return string "CTAN"
    */
  public String toString() {
    return "CTAN";
  }
}
